---
title: "Get Group Moderators"
slug: "get-group-moderators"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Group Moderators

Get/api/v1/groups.moderators

Lists the moderators of a private channel.

### Changelog

| Version | Description |
| --- | --- |
| 0.70.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersroomIdstring

The room ID. It is required if the `roomName` is not provided.

Exampledlpfuijw7ej
roomNamestring

The room name. It is required if the `roomId` is not provided.

Examplegeneral

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='aec61f3e-322d-41b4-8858-2dca3793def5'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='5b325ebd-522a-4492-a0dd-318d55d0499e'>Success</option>
</select>Success

```json
{
  "moderators": [
    {
      "_id": "hifeRG56fjlsp",
      "username": "marc.cat",
      "name": "Marc Cat"
    }
  ],
  "success": true
}
```

Expand Allobject  moderators Array of object   object  
successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='37850532-6c6f-44e7-a096-6f3a5d92acfd'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='7fedee03-9dcc-4734-bdf1-bd0845014b66'>Example 1</option>
</select>Example 1

```json
{
  "success": false,
  "error": "The parameter \"roomId\" or \"roomName\" is required [error-room-param-not-provided]",
  "errorType": "error-room-param-not-provided"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='5c8b0270-92cf-4491-a311-e716ccabbc67'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='beb3989f-4ee1-4f86-865f-5b888ffb5b03'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
